> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get referral reward history

> Get referral information from each user you has referred.

**Limit 10 requests per 60 seconds**

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                  "referralId": 12509,
                  "registerTime": "1643076873.484",
                  "referralCode": "OJEDSSMU",
                  "tradeStatus": "Traded",
                  "earned": [
                    {
                      "token": "WOO",
                      "amount": "144.78597143"
                    },
                    {
                      "token": "USDT",
                      "amount": "0"
                    }
                  ],
                  "extraBonus": [
                    {
                      "token": "WOO",
                      "amount" : "10"
                    }
                  ],
                  "previousCommission": [
                    {
                      "token": "WOO",
                      "totalAmount": "10.07981438"
                    }
                  ]
                  "email": "staking-005_mas@woo.network",
              }
              ...
          ],
          "meta": {
              "total": 46,
              "recordsPerPage": 1,
              "currentPage": 1
          }
      },
      "timestamp": 1690192103430
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/account/referral/rewardHistory
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/account/referral/rewardHistory:
    get:
      description: Get referral information from each user you has referred.
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: startTime
          in: query
          description: start time in unix timestamp
          required: false
          explode: true
          schema:
            type: integer
        - name: endTime
          in: query
          description: end time in unix timestamp
          required: false
          explode: true
          schema:
            type: integer
        - name: page
          in: query
          description: the page you wish to query.
          required: false
          explode: true
          schema:
            type: integer
            default: 1
        - name: size
          in: query
          description: the page size you wish to query, default = 25, 1000 at max.
          required: false
          explode: true
          schema:
            type: integer
            default: 25
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralResponse'
      security: []
components:
  schemas:
    ReferralResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      referralId:
                        type: integer
                        description: Referral ID
                      registerTime:
                        type: string
                        description: Time the referral was registered
                      referralCode:
                        type: string
                        description: Referral code
                      tradeStatus:
                        type: string
                        description: Status of the trade
                      earned:
                        type: array
                        items:
                          type: object
                          properties:
                            token:
                              type: string
                              description: Token type
                            amount:
                              type: string
                              description: Amount earned
                      extraBonus:
                        type: array
                        items:
                          type: object
                          properties:
                            token:
                              type: string
                              description: Token type
                            amount:
                              type: string
                              description: Amount earned
                      previousCommission:
                        type: array
                        items:
                          type: object
                          properties:
                            token:
                              type: string
                              description: Token type
                            totalAmount:
                              type: string
                              description: Amount earned
                      email:
                        type: string
                        description: Email address
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````